Integrations
List an integration's available events
The events this app can notify Norbelys about, with the config each one takes. Pass a slug from here when creating a trigger.
GET
/
integrations
/
{id}
/
events
import { createClient } from "@norbelys/sdk";
const norbelys = createClient({ apiKey: process.env.NORBELYS_API_KEY });
const { data, error } = await norbelys.integrations.events("int_9k4m2p");
if (error) {
throw new Error(error.error.message);
}
console.log(data);{
"events": [
{
"configSchema": {},
"description": "<string>",
"name": "New contact",
"slug": "HUBSPOT_NEW_CONTACT",
"object": "integration_event"
}
]
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}Authorizations
Org-scoped Norbelys API key. Create one in Settings → API keys and send it as Authorization: Bearer ak_….
Path Parameters
The resource id (path).
Response
OK
The events this app can notify Norbelys about.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
import { createClient } from "@norbelys/sdk";
const norbelys = createClient({ apiKey: process.env.NORBELYS_API_KEY });
const { data, error } = await norbelys.integrations.events("int_9k4m2p");
if (error) {
throw new Error(error.error.message);
}
console.log(data);{
"events": [
{
"configSchema": {},
"description": "<string>",
"name": "New contact",
"slug": "HUBSPOT_NEW_CONTACT",
"object": "integration_event"
}
]
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"type": "invalid_request",
"doc_url": "<string>",
"hint": "<string>"
}
}